

proc TK_GenerateTransportProperties { event args } {
 switch $event {
 INIT {
  # do nothing here
  return ""
 }
 SYNC {
  set GDN [lindex $args 0]
  set STRUCT [lindex $args 1]
  set QUESTION [lindex $args 2]

#  WarnWinText $GDN
#  WarnWinText $STRUCT
#  WarnWinText $QUESTION
#  WarnWinText "TK GenerateEC2Properties Done"
   
    # set oBaseMaterial [GiD_AccessValue get materials $QUESTION]
    set Generate [DWLocalGetValue $GDN $STRUCT Generate_Material]
  	set Typeofmaterial [DWLocalGetValue $GDN $STRUCT Type_of_material]
   	set Typeofanalysis [DWLocalGetValue $GDN $STRUCT Type_of_analysis]
    set TypeofConductivity [DWLocalGetValue $GDN $STRUCT Type_of_conductivity]
#    set Typeofheatcapacity [DWLocalGetValue $GDN $STRUCT Type_of_heat_capacity]

  if { $Typeofmaterial == "HPFRC_YOUNG_CONCRETE" } {
    set Typeofmaterial "YOUNG_CONCRETE"
  }
  
  if { $Typeofmaterial == "HPFRC_CONCRETE" } {
    set Typeofmaterial "CONCRETE"
  }
  
  if { $Typeofmaterial == "HPFRC_CONCRETE_AT_HIGH_TEMPERATURE" } {
    set Typeofmaterial "CONCRETE_AT_HIGH_TEMPERATURE"
  }    

   	#set value [GiD_AccessValue get IntvData $current Incremental_Multiplicators]
 
 if { $Generate == "No" } {
 } else {
 
 #WarnWinText $BaseMaterial  	
# WarnWinText "Material parameters for strength class $StrengthClass and Safety Format $SafetyFormat :"
 

# TEMPERATURE,MOISTURE,TEMPERATURE_AND_MOISTURE
# QUESTION: Type_of_material#CB#(YOUNG_CONCRETE,CONCRETE,CONCRETE_AT_HIGH_TEMPERATURE,STEEL,MASONRY)
# STION: Type_of_heat_flux#CB#(Upper_limit,Lower_limit)

  if { $Typeofmaterial == "YOUNG_CONCRETE" } {
          set on [DWLocalSetValue $GDN $STRUCT Activate_Concrete_Model_CERHYD 1] 
          WarnWinText "Concrete_Model_CERHYD enabled"
        } else {
          set on [DWLocalSetValue $GDN $STRUCT Activate_Concrete_Model_CERHYD 0] 
          WarnWinText "Concrete_Model_CERHYD disabled"
        }
        
  if { $Typeofmaterial == "CONCRETE" } {
          set on [DWLocalSetValue $GDN $STRUCT K_TEMP_TEMP_NORMAL 2.1] 
          WarnWinText "K_TEMP_TEMP_NORMAL = 2.1"
          set on [DWLocalSetValue $GDN $STRUCT C_TEMP_TEMP_NORMAL 2.55e+006] 
          WarnWinText "C_TEMP_TEMP_NORMAL = 2.55e+006"
        }  
        
  if { $Typeofmaterial == "STEEL" } {
          set on [DWLocalSetValue $GDN $STRUCT K_TEMP_TEMP_NORMAL 43] 
          WarnWinText "K_TEMP_TEMP_NORMAL = 43"
          set on [DWLocalSetValue $GDN $STRUCT C_TEMP_TEMP_NORMAL 3.53e+006] 
          WarnWinText "C_TEMP_TEMP_NORMAL = 3.53e+006"
        } 
        
  if { $Typeofmaterial == "MASONRY" } {
          set on [DWLocalSetValue $GDN $STRUCT K_TEMP_TEMP_NORMAL 0.8] 
          WarnWinText "K_TEMP_TEMP_NORMAL = 0.8"
          set on [DWLocalSetValue $GDN $STRUCT C_TEMP_TEMP_NORMAL 1.6e+006] 
          WarnWinText "C_TEMP_TEMP_NORMAL = 1.6e+006"
        }                       


  if { $Typeofmaterial == "CONCRETE_AT_HIGH_TEMPERATURE" } {
          set on [DWLocalSetValue $GDN $STRUCT Activate_Temperature_Advanced 1] 
          set on [DWLocalSetValue $GDN $STRUCT Activate_Temperature_Variable_Values 1]
          set on [DWLocalSetValue $GDN $STRUCT K_TEMP_TEMP_FNC 1]
          set on [DWLocalSetValue $GDN $STRUCT Activate_K_TEMP_TEMP_FNC_TEMP 1]
          if { $TypeofConductivity == "Lower_limit" } {
            set Function "#N# 14 0.0 1.0 200.0 0.817 400 0.667 600 0.551 800 0.468 1000 0.419 1200 0.404"
            set on [DWLocalSetValue $GDN $STRUCT Function_for_K_TEMP_TEMP_FNC_TEMP $Function]
          } 
          if { $TypeofConductivity == "Upper_limit" } {
            set Function "#N# 14 0.0 1.0 200.0 0.776 400 0.595 600 0.457 800 0.362 1000 0.310 1200 0.300"
            set on [DWLocalSetValue $GDN $STRUCT Function_for_K_TEMP_TEMP_FNC_TEMP $Function]
          }           
          WarnWinText "Function_for_K_TEMP_TEMP_FNC_TEMP set"
          
          set on [DWLocalSetValue $GDN $STRUCT C_TEMP_TEMP_FNC 1]
          set on [DWLocalSetValue $GDN $STRUCT Activate_C_TEMP_TEMP_FNC_TEMP 1]
          set Function "#N# 14 0.0 1.0 99.5 1.0 100.0 2.244 115.0 2.244 200.0 1.089 400.0 1.161 1200.0 1.076"
          set on [DWLocalSetValue $GDN $STRUCT Function_for_C_TEMP_TEMP_FNC_TEMP $Function]

          WarnWinText "Function_for_C_TEMP_TEMP_FNC_TEMP set"          
        } else {
          set on [DWLocalSetValue $GDN $STRUCT Activate_Temperature_Advanced 0] 
          set on [DWLocalSetValue $GDN $STRUCT Activate_Temperature_Variable_Values 0]
          set on [DWLocalSetValue $GDN $STRUCT K_TEMP_TEMP_FNC 0]
          set on [DWLocalSetValue $GDN $STRUCT Activate_K_TEMP_TEMP_FNC_TEMP 0]
          set on [DWLocalSetValue $GDN $STRUCT C_TEMP_TEMP_FNC 0]
          set on [DWLocalSetValue $GDN $STRUCT Activate_C_TEMP_TEMP_FNC_TEMP 0]          
        }


  if { $Typeofanalysis == "TEMPERATURE" } {
          set on [DWLocalSetValue $GDN $STRUCT Activate_Temperature 1] 
          WarnWinText "Temperature enabled"
          set on [DWLocalSetValue $GDN $STRUCT Activate_Moisture 0] 
          WarnWinText "Moisture disabled" 
        }
  if { $Typeofanalysis == "MOISTURE" } {
          set on [DWLocalSetValue $GDN $STRUCT Activate_Temperature 0] 
          WarnWinText "Temperature disabled"
          set on [DWLocalSetValue $GDN $STRUCT Activate_Moisture 1] 
          WarnWinText "Moisture enabled" 
        }
  if { $Typeofanalysis == "TEMPERATURE_AND_MOISTURE" } {
          set on [DWLocalSetValue $GDN $STRUCT Activate_Temperature 1] 
          WarnWinText "Temperature enabled"
          set on [DWLocalSetValue $GDN $STRUCT Activate_Moisture 1] 
          WarnWinText "Moisture enabled"          
        }                
  
  WarnWinText "Parameters of material were updated"
  WarnWinText "------------------------------------"
  
      set on [DWLocalSetValue $GDN $STRUCT Generate_Material No]
  } 
  return ""
 }
 CLOSE {
  # do nothing here
  return ""
 }
 }
 return ""
}
